SystemOrganization addCategory: #'FS-Tests-Disk'!

FSFilesystemTest subclass: #FSDiskFilesystemTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FS-Tests-Disk'!

!FSDiskFilesystemTest methodsFor: 'initialize-release' stamp: 'cwp 2/18/2011 22:59'!
createFilesystem
	^ FSFilesystem store: (FSDiskStore activeClass createDefault)! !

!FSDiskFilesystemTest methodsFor: 'tests' stamp: 'CamilloBruni 8/12/2011 15:51'!
testDefaultWorkingDirectory
	| ref |
	ref := filesystem workingDirectory.
	self assert: (SmalltalkImage current imagePath beginsWith: ref asString)! !

!FSDiskFilesystemTest methodsFor: 'tests' stamp: 'cwp 7/24/2009 00:40'!
testEqual
	| other |
	other := self createFilesystem.
	self assert: filesystem = other! !

!FSDiskFilesystemTest methodsFor: 'tests' stamp: 'cwp 2/18/2011 17:01'!
testIsDirectory
	self assert: (filesystem isDirectory: FSLocator imageDirectory resolve path)! !

FSHandleTest subclass: #FSFileHandleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FS-Tests-Disk'!

!FSFileHandleTest methodsFor: 'running' stamp: 'cwp 2/18/2011 23:03'!
createFilesystem
	^ FSFilesystem store: FSDiskStore activeClass createDefault! !
